<?php
// +-----------------------------------------------------------------------+
// | PhpWebGallery - a PHP based picture gallery                           |
// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
// +-----------------------------------------------------------------------+
// | file          : $Id: upgrade_1.6.0.php 1932 2007-03-29 19:04:54Z rub $
// | last update   : $Date: 2007-03-29 21:04:54 +0200 (Thu, 29 Mar 2007) $
// | last modifier : $Author: rub $
// | revision      : $Revision: 1932 $
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die ('This page cannot be loaded directly, load upgrade.php');
}
else
{
  if (!defined('PHPWG_IN_UPGRADE') or !PHPWG_IN_UPGRADE)
  {
    die ('Hacking attempt!');
  }
}

$queries = array(
  "
ALTER TABLE ".PREFIX_TABLE."user_infos
  ADD auto_login_key varchar(64) NOT NULL
;",
  '
ALTER TABLE '.PREFIX_TABLE.'users
  CHANGE username username VARCHAR(100) binary NOT NULL
;',
  );

foreach ($queries as $query)
{
  pwg_query($query);
}

// now we upgrade from 1.6.2
include_once(PHPWG_ROOT_PATH.'install/upgrade_1.6.2.php');
?>
