<?php
// +-----------------------------------------------------------------------+
// | PhpWebGallery - a PHP based picture gallery                           |
// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
// +-----------------------------------------------------------------------+
// | file          : $Id: functions_waiting.inc.php 1915 2007-03-16 18:49:19Z rub $
// | last update   : $Date: 2007-03-16 19:49:19 +0100 (Fri, 16 Mar 2007) $
// | last modifier : $Author: rub $
// | revision      : $Revision: 1915 $
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

include_once(PHPWG_ROOT_PATH.'admin/include/functions_tabsheet.inc.php');

function waiting_tabsheet()
{
  global $page, $link_start;

  // TabSheet initialization
  $page['tabsheet'] = array
  (
    'comments' => array
     (
      'caption' => l10n('comments'),
      'url' => $link_start.'comments'
     ),
    'upload' => array
     (
      'caption' => l10n('upload_pictures'),
      'url' => $link_start.'upload'
     )
  );

  $page['tabsheet'][$page['page']]['selected'] = true;

  // Assign tabsheet to template
  template_assign_tabsheet();
}

?>
