<?php
// +-----------------------------------------------------------------------+
// | PhpWebGallery - a PHP based picture gallery                           |
// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
// +-----------------------------------------------------------------------+
// | file          : $Id: common.lang.php 2125 2007-10-08 23:13:56Z rvelices $
// | last update   : $Date: 2007-10-09 01:13:56 +0200 (Tue, 09 Oct 2007) $
// | last modifier : $Author: rvelices $
// | revision      : $Revision: 2125 $
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

// Langage informations
$lang_info['language_name'] = 'English';
$lang_info['country'] = 'Great Britain';
$lang_info['charset'] = 'iso-8859-1';
$lang_info['direction'] = 'ltr';
$lang_info['code'] = 'en';
$lang_info['zero_plural'] = true;

$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (rated %d times, standard deviation = %.2f)';
$lang['%d Kb'] = '%d Kb';
$lang['%d category updated'] = '%d category updated';
$lang['%d categories updated'] = '%d categories updated';
$lang['%d comment to validate'] = '%d comment to validate';
$lang['%d comments to validate'] = '%d comments to validate';
$lang['%d new comment'] = '%d new comment';
$lang['%d new comments'] = '%d new comments';
$lang['%d comment'] = '%d comment';
$lang['%d comments'] = '%d comments';
$lang['%d hit'] = '%d hit';
$lang['%d hits'] = '%d hits';
$lang['%d new element'] = '%d new element';
$lang['%d new elements'] = '%d new elements';
$lang['%d new user'] = '%d new user';
$lang['%d new users'] = '%d new users';
$lang['%d picture are also linked to current tags'] = '%d picture are also linked to current tags';
$lang['%d pictures are also linked to current tags'] = '%d pictures are also linked to current tags';
$lang['%d waiting element'] = '%d waiting element';
$lang['%d waiting elements'] = '%d waiting elements';
$lang['About'] = 'About';
$lang['All tags must match'] = 'All tags must match';
$lang['All tags'] = 'All tags';
$lang['Any tag'] = 'Any tag';
$lang['At least one listed rule must be satisfied.'] = 'At least one listed rule must be satisfied.';
$lang['At least one tag must match'] = 'At least one tag must match';
$lang['Author'] = 'Author';
$lang['Average rate'] = 'Average rate';
$lang['Categories'] = 'Categories';
$lang['Category'] = 'Category';
$lang['Close this window'] = 'Close this window';
$lang['Complete RSS feed'] = 'Complete RSS feed (images, comments)';
$lang['Confirm Password'] = 'Confirm Password';
$lang['Connection settings'] = 'Connection settings';
$lang['Connection'] = 'Connection';
$lang['Contact webmaster'] = 'Contact webmaster';
$lang['Create a new account'] = 'Create a new account';
$lang['Created on'] = 'Created on';
$lang['Creation date'] = 'Creation date';
$lang['Current password is wrong'] = 'Current password is wrong';
$lang['Dimensions'] = 'Dimensions';
$lang['Display'] = 'Display';
$lang['Each listed rule must be satisfied.'] = 'Each listed rule must be satisfied.';
$lang['Email address is missing'] = 'Email address is missing';
$lang['Email address'] = 'Email address';
$lang['Enter your personnal informations'] = 'Enter your personnal informations';
$lang['Error sending email'] = 'Error sending email';
$lang['File name'] = 'File name';
$lang['File'] = 'File';
$lang['Filesize'] = 'Filesize';
$lang['Filter and display'] = 'Filter and display';
$lang['Filter'] = 'Filter';
$lang['Forgot your password?'] = 'Forgot your password?';
$lang['Go through the gallery as a visitor'] = 'Go through the gallery as a visitor';
$lang['Help'] = 'Help';
$lang['Identification'] = 'Identification';
$lang['Image only RSS feed'] = 'Image only RSS feed';
$lang['Keyword'] = 'Keyword';
$lang['Links'] = 'Links';
$lang['Mail address'] = 'Mail address';
$lang['N/A'] = 'N/A';
$lang['New on %s'] = 'New on %s';
$lang['New password confirmation does not correspond'] = 'New password confirmation does not correspond';
$lang['New password sent by email'] = 'New password sent by email';
$lang['No email address'] = 'No email address';
$lang['No user matches this email address'] = 'No user matches this email address';
$lang['Notification'] = 'Notification';
$lang['Number of items'] = 'Number of items';
$lang['Original dimensions'] = 'Original dimensions';
$lang['Password forgotten'] = 'Password forgotten';
$lang['Password'] = 'Password';
$lang['PhpWebGallery Help'] = 'PhpWebGallery Help';
$lang['Post date'] = 'Post date';
$lang['Posted on'] = 'Posted on';
$lang['Profile'] = 'Profile';
$lang['Quick connect'] = 'Quick connect';
$lang['RSS feed'] = 'RSS feed';
$lang['Rate'] = 'Rate';
$lang['Register'] = 'Register';
$lang['Registration'] = 'Registration';
$lang['Related tags'] = 'Related tags';
$lang['Reset'] = 'Reset';
$lang['Retrieve password'] = 'Retrieve password';
$lang['Search rules'] = 'Search rules';
$lang['Search tags'] = 'Search tags';
$lang['Search'] = 'Search';
$lang['See available tags'] = 'See available tags';
$lang['See pictures linked to this tag only'] = 'See pictures linked to this tag only';
$lang['Send new password'] = 'Send new password';
$lang['Since'] = 'Since';
$lang['Sort by'] = 'Sort by';
$lang['Sort order'] = 'Sort order';
$lang['Tag'] = 'Tag';
$lang['Tags'] = 'Tags';
$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.';
$lang['Unknown feed identifier'] = 'Unknown feed identifier';
$lang['User comments'] = 'User comments';
$lang['Username'] = 'Username';
$lang['Visits'] = 'Visits';
$lang['Webmaster'] = 'Webmaster';
$lang['Week %d'] = 'Week %d';
$lang['about_page_title'] = 'About PhpWebGallery';
$lang['access_forbiden'] = 'You are not authorized to access the requested page';
$lang['add to caddie'] = 'add to caddie';
$lang['add_favorites_alt'] = 'Add to favorites';
$lang['add_favorites_hint'] = 'Add this picture to your favorites';
$lang['admin'] = 'Administration';
$lang['adviser_mode_enabled'] = 'Adviser mode enabled';
$lang['all'] = 'all';
$lang['ascending'] = 'ascending';
$lang['author(s) : %s'] = 'author(s) : %s';
$lang['auto_expand'] = 'Expand all categories';
$lang['became available after %s (%s)'] = 'posted after %s (%s)';
$lang['became available before %s (%s)'] = 'posted before %s (%s)';
$lang['became available between %s (%s) and %s (%s)'] = 'posted between %s (%s) and %s (%s)';
$lang['became available on %s'] = 'posted on %s';
$lang['best_rated_cat'] = 'Best rated';
$lang['best_rated_cat_hint'] = 'displays best rated items';
$lang['caddie'] = 'caddie';
$lang['calendar'] = 'Calendar';
$lang['calendar_any'] = 'All';
$lang['calendar_hint'] = 'displays each day with pictures, month per month';
$lang['calendar_picture_hint'] = 'displays pictures added on ';
$lang['calendar_view'] = 'View';
$lang['chronology_monthly_calendar'] = 'Monthly calendar';
$lang['chronology_monthly_list'] = 'Monthly list';
$lang['chronology_weekly_list'] = 'Weekly list';
$lang['click_to_redirect'] = 'Click here if your browser does not automatically forward you';
$lang['comment date'] = 'comment date';
$lang['comment'] = 'Comment';
$lang['comment_added'] = 'Your comment has been registered';
$lang['comment_anti-flood'] = 'Anti-flood system : please wait for a moment before trying to post another comment';
$lang['comment_not_added'] = 'Your comment has NOT been registered because it did not pass the validation rules';
$lang['comment_to_validate'] = 'An administrator must authorize your comment before it is visible.';
$lang['comment_user_exists'] = 'This login is already used by another user';
$lang['comments'] = 'Comments';
$lang['comments_add'] = 'Add a comment';
$lang['comments_del'] = 'delete this comment';
$lang['comments_title'] = 'Comments from the users of the site';
$lang['created after %s (%s)'] = 'created after %s (%s)';
$lang['created before %s (%s)'] = 'created before %s (%s)';
$lang['created between %s (%s) and %s (%s)'] = 'created between %s (%s) and %s (%s)';
$lang['created on %s'] = 'created on %s';
$lang['customize'] = 'Customize';
$lang['customize_page_title'] = 'Your Gallery Customization ';
$lang['day'][0] = 'Sunday';
$lang['day'][1] = 'Monday';
$lang['day'][2] = 'Tuesday';
$lang['day'][3] = 'Wednesday';
$lang['day'][4] = 'Thursday';
$lang['day'][5] = 'Friday';
$lang['day'][6] = 'Saturday';
$lang['days'] = 'days';
$lang['default_sort'] = 'Default';
$lang['del_favorites_alt'] = 'Delete from favorites';
$lang['del_favorites_hint'] = 'Delete this picture from your favorites';
$lang['delete'] = 'Delete';
$lang['descending'] = 'descending';
$lang['download'] = 'download';
$lang['download_hint'] = 'download this file';
$lang['edit category informations'] = 'edit category informations';
$lang['edit'] = 'edit';
$lang['err_date'] = 'wrong date';
$lang['excluded'] = 'excluded';
$lang['favorite_cat'] = 'My favorites';
$lang['favorite_cat_hint'] = 'displays my favorites pictures';
$lang['favorites'] = 'Favorites';
$lang['first_page'] = 'First';
$lang['gallery_locked_message'] = 'The gallery is locked for maintenance. Please, come back later.';
$lang['generation_time'] = 'Page generated in';
$lang['guest'] = 'guest';
$lang['hello'] = 'Hello';
$lang['hint_admin'] = 'available for administrators only';
$lang['hint_category'] = 'shows images at the root of this category';
$lang['hint_comments'] = 'See last users comments';
$lang['hint_customize'] = 'customize the appareance of the gallery';
$lang['hint_search'] = 'search';
$lang['home'] = 'Home';
$lang['home_hint'] = 'Back to the home page';
$lang['ident_title'] = 'ident_title';
$lang['identification'] = 'Identification';
$lang['image_available'] = '%d image';
$lang['images_available'] = '%d images';
$lang['images_available_cpl'] = 'in this category';
$lang['images_available_cat'] = 'in %d sub-category';
$lang['images_available_cats'] = 'in %d sub-categories';
$lang['included'] = 'included';
$lang['invalid_pwd'] = 'Invalid password!';
$lang['language']='Language';
$lang['last %d days'] = 'last %d days';
$lang['last_page'] = 'Last';
$lang['link_info_image'] = 'Modify information';
$lang['logout'] = 'Logout';
$lang['mail_address'] = 'E-mail address';
$lang['mandatory'] = 'obligatory';
$lang['maxheight'] = 'Maximum height of the pictures';
$lang['maxheight_error'] = 'Maximum height must be a number superior to 50';
$lang['maxwidth'] = 'Maximum width of the pictures';
$lang['maxwidth_error'] = 'Maximum width must be a number superior to 50';
$lang['mode_created_hint'] = 'displays a calendar by creation date';
$lang['mode_flat_hint'] = 'displays all elements in all sub-categories';
$lang['mode_normal_hint'] = 'return to normal view mode';
$lang['mode_posted_hint'] = 'displays a calendar by posted date';
$lang['month'][10] = 'October';
$lang['month'][11] = 'November';
$lang['month'][12] = 'December';
$lang['month'][1] = 'January';
$lang['month'][2] = 'February';
$lang['month'][3] = 'March';
$lang['month'][4] = 'April';
$lang['month'][5] = 'May';
$lang['month'][6] = 'June';
$lang['month'][7] = 'July';
$lang['month'][8] = 'August';
$lang['month'][9] = 'September';
$lang['most_visited_cat'] = 'Most visited';
$lang['most_visited_cat_hint'] = 'displays most visited pictures';
$lang['nb_image_line_error'] = 'The number of images per row must be a not null scalar';
$lang['nb_image_per_row'] = 'Number of images per row';
$lang['nb_line_page_error'] = 'The number of rows per page must be a not null scalar';
$lang['nb_row_per_page'] = 'Number of rows per page';
$lang['nbm_unknown_identifier'] = 'Unknown identifier';
$lang['new_password'] = 'New password';
$lang['new_rate'] = 'Rate this picture';
$lang['next_page'] = 'Next';
$lang['no'] = 'No';
$lang['no_category'] = 'Home';
$lang['no_rate'] = 'no rate';
$lang['note_filter_day'] = 'Only displays elements posted within the last %s day.';
$lang['note_filter_days'] = 'Only displays elements posted within the last %s days.';
$lang['password updated'] = 'password updated';
$lang['periods_error'] = 'Recent period must be a positive integer value';
$lang['picture'] = 'picture';
$lang['picture_high'] = 'Click on the picture to see it in high definition';
$lang['picture_show_metadata'] = 'Show file metadata';
$lang['pictures'] = 'pictures';
$lang['powered_by'] = 'Powered by';
$lang['preferences'] = 'Preferences';
$lang['previous_page'] = 'Previous';
$lang['random_cat'] = 'Random pictures';
$lang['random_cat_hint'] = 'displays a set of random pictures';
$lang['recent_cats_cat'] = 'Recent categories';
$lang['recent_cats_cat_hint'] = 'displays recently updated categories';
$lang['recent_image'] = 'Images within the';
$lang['recent_period'] = 'Recent period';
$lang['recent_pics_cat'] = 'Recent pictures';
$lang['recent_pics_cat_hint'] = 'displays most recent pictures';
$lang['redirect_msg'] = 'Redirection...';
$lang['reg_err_login1'] = 'Please, enter a login';
$lang['reg_err_login2'] = 'login mustn\'t end with a space character';
$lang['reg_err_login3'] = 'login mustn\'t start with a space character';
$lang['reg_err_login5'] = 'this login is already used';
$lang['reg_err_mail_address'] = 'mail address must be like xxx@yyy.eee (example : jack@altern.org)';
$lang['reg_err_pass'] = 'please enter your password again';
$lang['register'] = 'register';
$lang['register_page_title'] = 'Registration';
$lang['register_title'] = 'Registration';
$lang['remember_me'] = 'Auto login';
$lang['remove this tag'] = 'remove this tag from the list';
$lang['representative'] = 'representative';
$lang['reset'] = 'Reset';
$lang['return to homepage'] = 'return to homepage';
$lang['search'] = 'Search';
$lang['search_ascending'] = 'Ascending';
$lang['search_author'] = 'Search for Author';
$lang['search_categories'] = 'Search in Categories';
$lang['search_date'] = 'Search by Date';
$lang['search_date_from'] = 'Date';
$lang['search_date_to'] = 'End-Date';
$lang['search_date_type'] = 'Kind of date';
$lang['search_descending'] = 'Descending';
$lang['search_keywords'] = 'Search for words';
$lang['search_mode_and'] = 'Search for all terms ';
$lang['search_mode_or'] = 'Search for any terms';
$lang['search_one_clause_at_least'] = 'Empty query. No criteria has been entered.';
$lang['search_options'] = 'Search Options';
$lang['search_result'] = 'Search results';
$lang['search_sort'] = 'Sort results by';
$lang['search_subcats_included'] = 'Search in subcategories';
$lang['search_title'] = 'Search';
$lang['searched words : %s'] = 'searched words : %s';
$lang['send_mail'] = 'Contact';
$lang['set as category representative'] = 'set as category representative';
$lang['show_nb_comments'] = 'Show number of comments';
$lang['show_nb_hits'] = 'Show number of hits';
$lang['slideshow'] = 'slideshow';
$lang['slideshow_stop'] = 'stop the slideshow';
$lang['special_categories'] = 'Specials';
$lang['sql_queries_in'] = 'SQL queries in';
$lang['start_filter_hint'] = 'displays only recently posted elements';
$lang['stop_filter_hint'] = 'return to the display of all elements';
$lang['submit'] = 'Submit';
$lang['the beginning'] = 'the beginning';
$lang['theme'] = 'Interface theme';
$lang['thumbnails'] = 'Thumbnails';
$lang['title_comments'] = 'Users comments';
$lang['title_menu'] = 'Menu';
$lang['title_send_mail'] = 'A comment on your site';
$lang['today'] = 'today';
$lang['total'] = 'images';
$lang['update_rate'] = 'Update your rating';
$lang['update_wrong_dirname'] = 'wrong filename';
$lang['upload_advise'] = 'Choose an image to place in the category : ';
$lang['upload_advise_filesize'] = 'the filesize of the picture must not exceed : ';
$lang['upload_advise_filetype'] = 'the picture must be to the fileformat jpg, gif or png';
$lang['upload_advise_height'] = 'the height of the picture must not exceed : ';
$lang['upload_advise_thumbnail'] = 'Optional, but recommended : choose a thumbnail to associate to ';
$lang['upload_advise_width'] = 'the width of the picture must not exceed : ';
$lang['upload_author'] = 'Author (eg "Pierrick LE GALL")';
$lang['upload_cannot_upload'] = 'can\'t upload the picture on the server';
$lang['upload_creation_date'] = 'Creation date (DD/MM/YYYY)';
$lang['upload_err_username'] = 'the username must be given';
$lang['upload_file_exists'] = 'A picture\'s name already used';
$lang['upload_filenotfound'] = 'You must choose a picture fileformat for the image';
$lang['upload_forbidden'] = 'You can\'t upload pictures in this category';
$lang['upload_name'] = 'Name of the picture';
$lang['upload_picture'] = 'Upload a picture';
$lang['upload_successful'] = 'Picture uploaded with success, an administrator will validate it as soon as possible';
$lang['upload_title'] = 'Upload a picture';
$lang['upload_username'] = 'Username';
$lang['useful when password forgotten'] = 'useful when password forgotten';
$lang['w_month'] = 'Month';
$lang['yes'] = 'Yes';
$lang['page_end'] = 'Page bottom';
$lang['qsearch'] = 'Quick search';
$lang['Connected user: %s'] = 'Connected user: %s';
$lang['IP: %s'] = 'IP: %s';
$lang['Browser: %s'] = 'Browser: %s';
$lang['Author: %s'] = 'Author: %s';
$lang['Comment: %s'] = 'Comment: %s';
$lang['Delete: %s'] = 'Delete: %s';
$lang['Validate: %s'] = 'Validate: %s';
$lang['Comment by %s'] = 'Comment by %s';
$lang['User: %s'] = 'User: %s';
$lang['Email: %s'] = 'Email: %s';
$lang['Admin: %s'] = 'Admin: %s';
$lang['Registration of %s'] = 'Registration of %s';
$lang['Category: %s'] = 'Category: %s';
$lang['Picture name: %s'] = 'Picture name: %s';
$lang['Creation date: %s'] = 'Creation date: %s';
$lang['Waiting page: %s'] = 'Waiting page: %s';
$lang['Picture uploaded by %s'] = 'Picture uploaded by %s';
// --------- Starting below: New or revised $lang ---- from version 1.7.1
$lang['guest_must_be_guest'] = 'Bad status for user "guest", using default status. Please notify the webmaster.';
?>
