<?php
// +-----------------------------------------------------------------------+
// | PhpWebGallery - a PHP based picture gallery                           |
// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
// +-----------------------------------------------------------------------+
// | file          : $Id: common.lang.php 2345 2008-05-16 20:24:38Z vdigital $
// | last update   : $Date: 2008-05-16 22:24:38 +0200 (Fri, 16 May 2008) $
// | last modifier : $Author: vdigital $
// | revision      : $Revision: 2345 $
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

// Langage informations
$lang_info['language_name'] = 'Franais';
$lang_info['country'] = 'France';
$lang_info['charset'] = 'iso-8859-1';
$lang_info['direction'] = 'ltr';
$lang_info['code'] = 'fr';
$lang_info['zero_plural'] = false;

$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (not %d fois, cart type = %.2f)';
$lang['%d Kb'] = '%d Ko';
$lang['%d category updated'] = '%d catgorie mise  jour';
$lang['%d categories updated'] = '%d catgories mises  jour';
$lang['%d comment to validate'] = '%d commentaire utilisateur  valider';
$lang['%d comments to validate'] = '%d commentaires utilisateur  valider';
$lang['%d new comment'] = '%d nouveau commentaire utilisateur';
$lang['%d new comments'] = '%d nouveaux commentaires utilisateur';
$lang['%d comment'] = '%d commentaire';
$lang['%d comments'] = '%d commentaires';
$lang['%d hit'] = 'vue %d fois';
$lang['%d hits'] = 'vue %d fois';
$lang['%d new element'] = '%d nouvel lment';
$lang['%d new elements'] = '%d nouveaux lments';
$lang['%d new user'] = '%d nouvel utilisateur';
$lang['%d new users'] = '%d nouveaux utilisateurs';
$lang['%d picture are also linked to current tags'] = '%d image est galement lie aux tags courants';
$lang['%d pictures are also linked to current tags'] = '%d images sont galement lies aux tags courants';
$lang['%d waiting element'] = '%d lment en attente';
$lang['%d waiting elements'] = '%d lments en attente';
$lang['About'] = ' propos';
$lang['All tags must match'] = 'Tous les tags doivent correspondre';
$lang['All tags'] = 'Tous les tags';
$lang['Any tag'] = 'N\'importe quel tag';
$lang['At least one listed rule must be satisfied.'] = 'Au moins un des critres doit tre satisfait.';
$lang['At least one tag must match'] = 'Au moins un tag doit correspondre';
$lang['Author'] = 'Auteur';
$lang['Average rate'] = 'Note moyenne';
$lang['Categories'] = 'Catgories';
$lang['Category'] = 'Catgorie';
$lang['Close this window'] = 'Fermer cette fentre';
$lang['Complete RSS feed'] = 'Flux RSS complet (images, commentaires)';
$lang['Confirm Password'] = 'Confirmer le mot de passe';
$lang['Connection settings'] = 'Paramtres de connexion';
$lang['Connection'] = 'Connexion';
$lang['Contact webmaster'] = 'Contacter le webmestre';
$lang['Create a new account'] = 'Crer un nouveau compte';
$lang['Created on'] = 'Cre le';
$lang['Creation date'] = 'Date de cration';
$lang['Current password is wrong'] = 'Erreur sur le mot de passe actuel';
$lang['Dimensions'] = 'Dimensions';
$lang['Display'] = 'Affichage';
$lang['Each listed rule must be satisfied.'] = 'Chaque critre doit tre satisfait';
$lang['Email address is missing'] = 'L\'adresse e-mail manque';
$lang['Email address'] = 'Adresse e-mail';
$lang['Enter your personnal informations'] = 'Entrer vos informations personnelles';
$lang['Error sending email'] = 'Erreur  l\'envoi du mail';
$lang['File name'] = 'Nom du fichier';
$lang['File'] = 'Fichier';
$lang['Filesize'] = 'Poids';
$lang['Filter and display'] = 'Filtrer et afficher';
$lang['Filter'] = 'Filtre';
$lang['Forgot your password?'] = 'Mot de passe oubli ?';
$lang['Go through the gallery as a visitor'] = 'Parcourir la galerie en tant que visiteur';
$lang['Help'] = 'Aide';
$lang['Identification'] = 'Identification';
$lang['Image only RSS feed'] = 'Flux RSS des images';
$lang['Keyword'] = 'Mot-clef';
$lang['Links'] = 'Liens';
$lang['Mail address'] = $lang['Email address'];
$lang['N/A'] = 'non disponible';
$lang['New on %s'] = 'Nouveau le %s';
$lang['New password confirmation does not correspond'] = 'Erreur de confirmation de mot de passe';
$lang['New password sent by email'] = 'Nouveau mot de passe envoy par e-mail';
$lang['No email address'] = 'Pas d\'adresse e-mail';
$lang['No user matches this email address'] = 'Cette adresse e-mail ne correspond  aucun utilisateur';
$lang['Notification'] = 'Notification';
$lang['Number of items'] = 'Nombre d\'lment';
$lang['Original dimensions'] = 'Dimensions d\'origine';
$lang['Password forgotten'] = 'Mot de passe oubli';
$lang['Password'] = 'Mot de passe';
$lang['PhpWebGallery Help'] = 'Aide de PhpWebGallery';
$lang['Post date'] = 'Date d\'ajout';
$lang['Posted on'] = 'Ajoute le';
$lang['Profile'] = 'Profil';
$lang['Quick connect'] = 'Connexion rapide';
$lang['RSS feed'] = 'flux RSS';
$lang['Rate'] = 'Note';
$lang['Register'] = 'S\'enregistrer';
$lang['Registration'] = 'Enregistrement';
$lang['Related tags'] = 'Tags lis';
$lang['Reset'] = 'Annuler';
$lang['Retrieve password'] = 'Rcuprer un mot de passe';
$lang['Search rules'] = 'Critres de recherche';
$lang['Search tags'] = 'Rechercher les tags';
$lang['Search'] = 'Rechercher';
$lang['See available tags'] = 'Voir les tags disponibles';
$lang['See pictures linked to this tag only'] = 'Voir les images lies uniquement  ce tag';
$lang['Send new password'] = 'Envoyer le nouveau mot de passe';
$lang['Since'] = 'Depuis';
$lang['Sort by'] = 'Trier selon';
$lang['Sort order'] = 'Ordre de tri';
$lang['Tag'] = 'Tag';
$lang['Tags'] = 'Tags';
$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Le flux RSS notifie les vnements de la galerie : nouvelles images, catgories mises  jour, nouveaux commentaires utilisateur.  utiliser avec un lecteur de flux RSS.';
$lang['Unknown feed identifier'] = 'Identifiant de flux inconnu';
$lang['User comments'] = 'Commentaires utilisateur';
$lang['Username'] = 'Nom d\'utilisateur';
$lang['Visits'] = 'Visites';
$lang['Webmaster'] = 'Webmestre';
$lang['Week %d'] = 'Semaine %d';
$lang['about_page_title'] = ' propos de PhpWebGallery';
$lang['access_forbiden'] = 'Vous n\'tes pas autoris sur la page demande';
$lang['add to caddie'] = 'ajouter au panier';
$lang['add_favorites_alt'] = 'Ajouter aux favoris';
$lang['add_favorites_hint'] = 'Ajouter cette image  vos favoris';
$lang['admin'] = 'Administration';
$lang['adviser_mode_enabled'] = 'Mode conseiller actif';
$lang['all'] = 'tout';
$lang['ascending'] = 'croissant';
$lang['author(s) : %s'] = 'auteur(s) : %s';
$lang['auto_expand'] = 'Dvelopper toutes les catgories';
$lang['became available after %s (%s)'] = 'mis  disposition aprs le %s (%s)';
$lang['became available before %s (%s)'] = 'mis  disposition avant le %s (%s)';
$lang['became available between %s (%s) and %s (%s)'] = 'mis  disposition entre le %s (%s) et le %s (%s)';
$lang['became available on %s'] = 'mis  disposition le %s';
$lang['best_rated_cat'] = 'Mieux notes';
$lang['best_rated_cat_hint'] = 'afficher les images les mieux notes';
$lang['caddie'] = 'Panier';
$lang['calendar'] = 'Calendrier';
$lang['calendar_any'] = 'Tout';
$lang['calendar_hint'] = 'affichage anne par anne, mois par mois, jour par jour';
$lang['calendar_picture_hint'] = 'afficher les images du ';
$lang['calendar_view'] = 'Vue';
$lang['chronology_monthly_calendar'] = 'Calendrier mensuel';
$lang['chronology_monthly_list'] = 'Liste mensuelle';
$lang['chronology_weekly_list'] = 'Liste hebdomadaire';
$lang['click_to_redirect'] = 'Cliquez ici si votre navigateur ne vous redirige pas.';
$lang['comment date'] = 'date du commentaire';
$lang['comment'] = 'Commentaire';
$lang['comment_added'] = 'Votre commentaire a t enregistr';
$lang['comment_anti-flood'] = 'Systme anti-abus : merci de patienter avant d\'ajouter un nouveau commentaire';
$lang['comment_not_added'] = 'Votre commentaire n\'a pas t enregistr parce qu\'il ne vrifie pas les rgles de validation';
$lang['comment_to_validate'] = 'Un administrateur doit valider votre commentaire afin qu\'il soit visible.';
$lang['comment_user_exists'] = 'Ce nom d\'utilisateur est dj pris';
$lang['comments'] = 'Commentaires';
$lang['comments_add'] = 'Ajouter un commentaire';
$lang['comments_del'] = 'Supprimer ce commentaire';
$lang['comments_title'] = 'Commentaires des utilisateurs';
$lang['created after %s (%s)'] = 'cre aprs le %s (%s)';
$lang['created before %s (%s)'] = 'cre avant le %s (%s)';
$lang['created between %s (%s) and %s (%s)'] = 'cre entre le %s (%s) et le %s (%s)';
$lang['created on %s'] = 'cre le %s';
$lang['customize'] = 'Personnaliser';
$lang['customize_page_title'] = 'Personnalisation de votre affichage ';
$lang['day'][0] = 'Dimanche';
$lang['day'][1] = 'Lundi';
$lang['day'][2] = 'Mardi';
$lang['day'][3] = 'Mercredi';
$lang['day'][4] = 'Jeudi';
$lang['day'][5] = 'Vendredi';
$lang['day'][6] = 'Samedi';
$lang['days'] = 'jours';
$lang['default_sort'] = 'Par dfaut';
$lang['del_favorites_alt'] = 'Supprimer des favoris';
$lang['del_favorites_hint'] = 'Supprimer cette image de vos favoris';
$lang['delete'] = 'Supprimer';
$lang['descending'] = 'dcroissant';
$lang['download'] = 'tlcharger';
$lang['download_hint'] = 'tlcharger ce fichier';
$lang['edit category informations'] = 'diter les informations de cette catgorie';
$lang['edit'] = 'diter';
$lang['err_date'] = 'date errone';
$lang['excluded'] = 'exclus';
$lang['favorite_cat'] = 'Mes favorites';
$lang['favorite_cat_hint'] = 'afficher mes images favorites';
$lang['favorites'] = 'Favoris';
$lang['first_page'] = 'Premire';
$lang['gallery_locked_message'] = 'La galerie est verrouille pour cause de maintenance. Revenir plus tard.';
$lang['generation_time'] = 'Page fabrique en';
$lang['guest'] = 'visiteur';
$lang['hello'] = 'Bonjour';
$lang['hint_admin'] = 'disponible uniquement pour les administrateurs';
$lang['hint_category'] = 'montre les images  la racine de cette catgorie';
$lang['hint_comments'] = 'Voir les derniers commentaires utilisateur';
$lang['hint_customize'] = 'personnaliser l\'apparence de la galerie';
$lang['hint_search'] = 'recherche';
$lang['home'] = 'Accueil';
$lang['home_hint'] = 'Retour  la page d\'accueil';
$lang['ident_title'] = 'Identification (FIXME)';
$lang['identification'] = 'Identification';
$lang['image_available'] = '%d image';
$lang['images_available'] = '%d images';
$lang['images_available_cpl'] = 'dans cette catgorie';
$lang['images_available_cat'] = 'dans %d sous-catgorie';
$lang['images_available_cats'] = 'dans %d sous-catgories';
$lang['included'] = 'inclus';
$lang['invalid_pwd'] = 'Mot de passe invalide !';
$lang['language'] = 'Langue';
$lang['last %d days'] = '%d derniers jours';
$lang['last_page'] = 'Dernire';
$lang['link_info_image'] = 'Modifier les informations';
$lang['logout'] = 'Dconnexion';
$lang['mail_address'] = $lang['Email address'];
$lang['mandatory'] = 'obligatoire';
$lang['maxheight'] = 'Hauteur maximum des images';
$lang['maxheight_error'] = 'La hauteur maximum des images doit tre suprieure  50';
$lang['maxwidth'] = 'Largeur maximum des images';
$lang['maxwidth_error'] = 'La largeur des images doit tre suprieure  50';
$lang['mode_created_hint'] = 'afficher un calendrier par date de cration';
$lang['mode_flat_hint'] = 'afficher  plat les lments des catgories et des sous-catgories';
$lang['mode_normal_hint'] = 'retourner  la vue normale';
$lang['mode_posted_hint'] = 'afficher un calendrier par date d\'ajout';
$lang['month'][10] = 'Octobre';
$lang['month'][11] = 'Novembre';
$lang['month'][12] = 'Dcembre';
$lang['month'][1] = 'Janvier';
$lang['month'][2] = 'Fvrier';
$lang['month'][3] = 'Mars';
$lang['month'][4] = 'Avril';
$lang['month'][5] = 'Mai';
$lang['month'][6] = 'Juin';
$lang['month'][7] = 'Juillet';
$lang['month'][8] = 'Aot';
$lang['month'][9] = 'Septembre';
$lang['most_visited_cat'] = 'Plus vues';
$lang['most_visited_cat_hint'] = 'afficher les images les plus vues';
$lang['nb_image_line_error'] = 'Le nombre d\'images par ligne doit tre un entier non nul';
$lang['nb_image_per_row'] = 'Nombre de miniatures par ligne';
$lang['nb_line_page_error'] = 'Le nombre de lignes par page doit tre un entier non nul';
$lang['nb_row_per_page'] = 'Nombre de lignes par page';
$lang['nbm_unknown_identifier'] = 'Identifiants inconnus';
$lang['new_password'] = 'Nouveau mot de passe';
$lang['new_rate'] = 'Votez pour cette image';
$lang['next_page'] = 'Suivante';
$lang['no'] = 'Non';
$lang['no_category'] = 'Accueil';
$lang['no_rate'] = 'pas de note';
$lang['note_filter_day'] = 'L\'ensemble des lments est filtr pour n\'afficher que les lments rcents de moins de %d jour.';
$lang['note_filter_days'] = 'L\'ensemble des lments est filtr pour n\'afficher que les lments rcents de moins de %d jours.';
$lang['password updated'] = 'mot de passe mis  jour';
$lang['periods_error'] = 'La priode de nouveaut doit tre un entier positif';
$lang['picture'] = 'image';
$lang['picture_high'] = 'Cliquer sur l\'image pour la visualiser en haute dfinition';
$lang['picture_show_metadata'] = 'Montrer les mta-donnes du fichier';
$lang['pictures'] = 'images';
$lang['powered_by'] = 'Propuls par';
$lang['preferences'] = 'Prfrences';
$lang['previous_page'] = 'Prcdente';
$lang['random_cat'] = 'Images au hasard';
$lang['random_cat_hint'] = 'afficher un ensemble alatoire d\'images';
$lang['recent_cats_cat'] = 'Catgories rcentes';
$lang['recent_cats_cat_hint'] = 'afficher les catgories rcemment mises  jour ou cres';
$lang['recent_image'] = 'Images de moins de';
$lang['recent_period'] = 'Priode rcente';
$lang['recent_pics_cat'] = 'Images rcentes';
$lang['recent_pics_cat_hint'] = 'afficher les images les plus rcentes';
$lang['redirect_msg'] = 'Redirection...';
$lang['reg_err_login1'] = 'S\'il vous plat, entrer un nom utilisateur';
$lang['reg_err_login2'] = 'le nom utilisateur ne doit pas se terminer par un espace';
$lang['reg_err_login3'] = 'le nom utilisateur ne doit pas commencer par un espace';
$lang['reg_err_login5'] = 'ce nom utilisateur est dj pris';
$lang['reg_err_mail_address'] = 'l\'adresse e-mail doit tre de la forme xxx@yyy.eee (exemple : jack@altern.org)';
$lang['reg_err_pass'] = 'S\'il vous plat, entrez  nouveau votre mot de passe';
$lang['register'] = 's\'enregistrer';
$lang['register_page_title'] = 'Enregistrement';
$lang['register_title'] = 'Enregistrement';
$lang['remember_me'] = 'Connexion auto';
$lang['remove this tag'] = 'enlever ce tag de la liste';
$lang['representative'] = 'Reprsentante';
$lang['reset'] = 'Annuler';
$lang['return to homepage'] = 'retour  la page d\'accueil';
$lang['search'] = 'Recherche';
$lang['search_ascending'] = 'Croissant';
$lang['search_author'] = 'Rechercher un auteur';
$lang['search_categories'] = 'Rechercher dans les catgories';
$lang['search_date'] = 'Recherche par date';
$lang['search_date_from'] = 'Date';
$lang['search_date_to'] = 'Date de fin';
$lang['search_date_type'] = 'Type de date';
$lang['search_descending'] = 'Dcroissant';
$lang['search_keywords'] = 'Recherche de mot';
$lang['search_mode_and'] = 'Rechercher tous les mots';
$lang['search_mode_or'] = 'Rechercher un des mots';
$lang['search_one_clause_at_least'] = 'Requte vide. Aucun critre fourni.';
$lang['search_options'] = 'Options de recherche';
$lang['search_result'] = 'Rsultats de recherche';
$lang['search_sort'] = 'Trier les rsultats de recherche selon';
$lang['search_subcats_included'] = 'Rechercher dans les sous-catgories';
$lang['search_title'] = 'Recherche';
$lang['searched words : %s'] = 'mots recherchs : %s';
$lang['send_mail'] = 'Contacter';
$lang['set as category representative'] = 'Choisir comme reprsentante de cette catgorie';
$lang['show_nb_comments'] = 'Montrer le nombre de commentaires';
$lang['show_nb_hits'] = 'Montrer le nombre de visualisations';
$lang['slideshow'] = 'Diaporama';
$lang['slideshow_stop'] = 'arrter le diaporama';
$lang['special_categories'] = 'Spciales';
$lang['sql_queries_in'] = 'requtes SQL en';
$lang['start_filter_hint'] = 'n\'afficher que les lments rcents';
$lang['stop_filter_hint'] = 'retourner  l\'affichage de tous les lments';
$lang['submit'] = 'Valider';
$lang['the beginning'] = 'le dbut';
$lang['theme'] = 'Thme de l\'interface';
$lang['thumbnails'] = 'Miniatures';
$lang['title_comments'] = 'Commentaires utilisateurs';
$lang['title_menu'] = 'Menu';
$lang['title_send_mail'] = 'Un commentaire sur le site';
$lang['today'] = 'aujourd\'hui';
$lang['total'] = 'images';
$lang['update_rate'] = 'Mettre  jour votre note';
$lang['update_wrong_dirname'] = 'mauvais nom de rpertoire';
$lang['upload_advise'] = 'Choisir une image  ajouter dans cette catgorie : ';
$lang['upload_advise_filesize'] = 'le poids de l\'image ne doit dpasser : ';
$lang['upload_advise_filetype'] = 'le format de l\'image doit tre jpg, png ou gif';
$lang['upload_advise_height'] = 'la hauteur de l\'image ne doit pas dpasser : ';
$lang['upload_advise_thumbnail'] = 'Optionnel, mais recommand : choisir une miniature  associer ';
$lang['upload_advise_width'] = 'la largeur de l\'image ne doit pas dpasser : ';
$lang['upload_author'] = 'Auteur';
$lang['upload_cannot_upload'] = 'impossible de transfrer le fichier sur le serveur';
$lang['upload_creation_date'] = 'Date de cration (JJ/MM/AAAA)';
$lang['upload_err_username'] = 'nom d\'utilisateur manquant';
$lang['upload_file_exists'] = 'ce fichier existe dj';
$lang['upload_filenotfound'] = 'le format du fichier n\'est pas un format d\'image';
$lang['upload_forbidden'] = 'impossible d\'ajouter une image dans cette catgorie';
$lang['upload_name'] = 'Nom de l\'image';
$lang['upload_picture'] = 'Ajouter une image';
$lang['upload_successful'] = 'Image ajoute avec succs, un administrateur doit valider l\'ajout pour le rendre visible';
$lang['upload_title'] = 'Ajouter une image';
$lang['upload_username'] = 'Nom d\'utilisateur';
$lang['useful when password forgotten'] = 'utile en cas d\'oubli de mot de passe';
$lang['w_month'] = 'Mois';
$lang['yes'] = 'Oui';
$lang['page_end'] = 'Bas de page';
$lang['qsearch'] = 'Recherche rapide';
$lang['Connected user: %s'] = 'Utilisateur connect: %s';
$lang['IP: %s'] = 'IP: %s';
$lang['Browser: %s'] = 'Navigateur: %s';
$lang['Author: %s'] = 'Auteur: %s';
$lang['Comment: %s'] = 'Commentaire: %s';
$lang['Delete: %s'] = 'Suppression: %s';
$lang['Validate: %s'] = 'Validation: %s';
$lang['Comment by %s'] = 'Commentaire par %s';
$lang['User: %s'] = 'Utilisateur: %s';
$lang['Email: %s'] = 'Email: %s';
$lang['Admin: %s'] = 'Administration: %s';
$lang['Registration of %s'] = 'Enregistrement de %s';
$lang['Category: %s'] = 'Catgorie: %s';
$lang['Picture name: %s'] = 'Nom de l\'image: %s';
$lang['Creation date: %s'] = 'Date de cration: %d';
$lang['Waiting page: %s'] = 'Page en attente: %s';
$lang['Picture uploaded by %s'] = 'Image tlcharge par %s';
// --------- Starting below: New or revised $lang ---- from version 1.7.1
$lang['guest_must_be_guest'] = 'Statut de l\'utilisateur "guest" non conforme, utilisation du statut par dfaut. Veuillez prvenir le webmestre.';
?>
